CompareMetricsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.CompareMetricsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class CompareMetricsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.WorkflowPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.CompareMetricsFormPrepareAction

    public class CompareMetricsFormPrepareAction

extends WorkflowPrepareAction

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`CompareMetricsFormPrepareAction()`

Method Summary
`protected void` | `prepareForm(javax.servlet.http.HttpServletRequest request, MetricsControlForm form, MetricRange range)`
`org.apache.struts.action.ActionForward` | `workflow(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` To participate in a workflow, simply implement this the same as you would execute().

Methods inherited from class org.hyperic.hq.ui.action.WorkflowPrepareAction
`execute`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### CompareMetricsFormPrepareAction

    public CompareMetricsFormPrepareAction()

Method Detail

### workflow

    public org.apache.struts.action.ActionForward workflow(org.apache.struts.tiles.ComponentContext context,
                                                           org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Description copied from class: `WorkflowPrepareAction`
  To participate in a workflow, simply implement this the same as you would execute(). This will be called by WorkflowActions's execute() method after it saves the workflow context.

  Specified by:
    `workflow` in class `WorkflowPrepareAction`
  Throws:
    `java.lang.Exception`

### prepareForm

    protected void prepareForm(javax.servlet.http.HttpServletRequest request,
                               MetricsControlForm form,
                               MetricRange range)
                        throws InvalidOptionException

  Throws:
    `InvalidOptionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.